package com.dev.swms.server.action;

import java.util.HashMap;
import java.util.Map;

import com.dev.swms.server.web.filter.WarehouseHolder;
import com.dev.energy.server.action.AbstractAction;

/**
 * @author  dev
 *
 */
public class WarehouseHolderAction extends AbstractAction{
    
    public Map getWarehouseId(Map clientParams){
        Map result = new HashMap();
        result.put("warehouseId", WarehouseHolder.getWarehouse().getId());
        if(logger.isDebugEnabled()) {
        	logger.debug("WarehouseHolder returns warehouse " + WarehouseHolder.getWarehouse().getId());
        }
        return result;
    }

}

